#pragma once

#include "input.h"
#include "sound.hpp"
#include "config.hpp"

class App
{
    static Input *_input;
    static Sound *_sound;
    static Config *_config;
public:
    static void Init();
    static void Free();

    static void Update();

    static const Input *GetInput();
    static Sound *GetSound();
    static Config *GetConfig();
};
